package com.example.catchTheLetters.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * 用户类
 * @author spyn
 */
@Data
public class User implements Serializable {
    /**
     * 用户ID
     */
    private Long id;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;
    /**
     * 性别
     * -0：未知
     * -1：男
     * -2：女
     */
    private int sex;
    /**
     * 头像
     */
    private String avatar;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 状态
     * -0：已注销（逻辑删除）
     * -1：在线
     * -2：离线
     * -3：封禁
     * -4：未激活（未验证邮箱或手机号）
     */
    private Integer status;
    /**
     * 创建时间（UNIX时间戳）
     */
    private Long createTime;
    /**
     * 更新时间（UNIX时间戳）
     */
    private Long updateTime;
    /**
     * 个人介绍
     */
    private String introduction;
    /**
     * 当前游戏进度（关卡ID）
     */
    private Integer progress;
}
